Page MenuHomePhabricator

[APInt] Fix tests that had wrong assumption about sdivs with negative quotient.
ClosedPublic

Authored by timshen on Nov 12 2019, 6:23 PM.

Diff Detail

Event Timeline

timshen created this revision.Nov 12 2019, 6:23 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 12 2019, 6:23 PM

This fixes wrong tests introduced by D48498

sanjoy requested changes to this revision.Nov 17 2019, 10:50 AM

Can you please describe what was wrong about the unit tests in the commit message?

llvm/unittests/ADT/APIntTest.cpp
2630

Can this be EXPECT_EQ?

This revision now requires changes to proceed.Nov 17 2019, 10:50 AM
timshen updated this revision to Diff 230177.Nov 19 2019, 5:02 PM

EXPECT_TRUE -> EXPECT_EQ.

timshen marked an inline comment as done.Nov 19 2019, 5:02 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 21 2020, 1:56 PM
This revision was automatically updated to reflect the committed changes.